#!/bin/bash

# Verifica se è stato fornito un argomento (il percorso del file)
if [ $# -ne 1 ]; then
  echo "Utilizzo: $0 <percorso_file>"
  exit 1
fi

# Assegna il percorso del file alla variabile 'file_path'
file_path="$1"

# Verifica se il file esiste
if [ ! -f "$file_path" ]; then
  echo "Errore: il file '$file_path' non esiste."
  exit 1
fi

# Esegue il comando sed sul file specificato
sed -i 's/\r$//' "$file_path"

# Verifica se il comando sed ha avuto successo
if [ $? -eq 0 ]; then
  echo "Conversione completata con successo."
else
  echo "Errore durante la conversione del file '$file_path'."
  exit 1
fi

exit 0
